Subject: Bug#4236: ftp(1) barfs on QUOTE command

From: "Richard Kettlewell <Richard Kettlewell" <[email-masked]>
Date: Thu, 22 Aug 96 16:54:11 +0100 (BST)

Package: netstd
Version: 2.06-1

muskogee:richard$ uname -a
Linux muskogee 2.0.13 #1 Tue Aug 20 18:45:22 BST 1996 i486
muskogee:richard$ ftp wigwam
Connected to wigwam.elmail.co.uk.
220 wigwam.elmail.co.uk CheckPoint FireWall-1 authenticated ftp server ready
Name (wigwam:richard): richard
331-aftpd: SKEY CHALLENGE: 92 richard
331 aftpd: you can use password@SKEY string
Password: <I type my mojave password>
200 aftpd: Enter SKEY string: you can use 'quote SKEY string' or Account command ('ACCT')
ftp> quote <my skey string 92>
Not connected.
ftp> quit

This happens consistently.  I don't know why the ftp client thinks
there's no connection - if deeper investigation is required I let me
know.

FWIW compare this with telnetting to the ftp port:

muskogee:richard$ telnet wigwam ftp
Trying 193.112.20.200...
Connected to wigwam.elmail.co.uk.
Escape character is '^]'.
220 wigwam.elmail.co.uk CheckPoint FireWall-1 authenticated ftp server ready
user richard
331-aftpd: SKEY CHALLENGE: 91 richard
331 aftpd: you can use password@SKEY string
pass <my password>
200 aftpd: Enter SKEY string: you can use 'quote SKEY string' or Account command ('ACCT')
<my skey string 91>
200-aftpd: User richard authenticated by S/Key system.
200 aftpd: Host: (use 'quote xxxx')
mojave
421-aftpd: Connected to mojave. Logging in...
421 aftpd: aborted
Connection closed by foreign host.
muskogee:richard$ 

(mojave was down when I did all this but it serves to illustrate the
point...)

With Sunos 4.1.3's ftp client:

richard@tlingit:richard$ uname -a
SunOS tlingit 4.1.3_U1 2 sun4m
richard@tlingit:richard$ ftp wigwam
Connected to wigwam.
220 wigwam.elmail.co.uk CheckPoint FireWall-1 authenticated ftp server ready
Name (wigwam:richard): richard
331-aftpd: SKEY CHALLENGE: 90 richard
331 aftpd: you can use password@SKEY string
Password:
200 aftpd: Enter SKEY string: you can use 'quote SKEY string' or Account command ('ACCT')
ftp> quote <skey string 90>
200-aftpd: User richard authenticated by S/Key system.
200 aftpd: Host: (use 'quote xxxx')
ftp> quote muskogee
421-aftpd: User [email-masked] is not allowed for service ftp on muskogee.
421 aftpd: aborted
ftp>

(again, this serves to illustrate the point, even if it didn't
actually work fully.)

-- 
Richard Kettlewell  [email-masked]  [email-masked]
                           http://www.elmail.co.uk/staff/richard/